<apex:page sidebar="false" standardController="Smartbox__c" extensions="Smartbox_Equipment_CSV_FileUploader" tabStyle="Opportunity">

<script language="JavaScript" type="text/javascript">
    function CloseAndRefresh(){
        window.opener.location.href="/{!$CurrentPage.parameters.oppid}";
          window.top.close();
  }
</script>
   
   <apex:form >
      <apex:sectionHeader title="Upload Smartbox Equipment"/>
      <font color="red"> <b>Note: Please use the standard template to upload Equipment. <a href="https://mydish.force.com/community/servlet/servlet.FileDownload?file=01560000000cmrV" target="_blank"> Click here </a> to download the template. </b> </font>
      <apex:pagemessages />
      <apex:pageBlock >
              <apex:inputFile filename="{!nameFile}" contentType=".csv" value="{!contentFile}" id="choose" /> 
              <apex:commandButton action="{!ReadFile}" value="Upload File" /> 
              <apex:commandButton onClick="window.top.close();"  value="Save, Close and Return to Property Record"  />
              <center>        
      <apex:pageblocktable value="{!uploadedEquipment}" var="equipment" rendered="{!NOT(ISNULL(uploadedEquipment))}">
             <apex:column headerValue="Chassis Serial #">
                <apex:inputField value="{!equipment.Chassis_Serial__c}"/>
             </apex:column>
             <apex:column headerValue="Serial Number #">
                 <apex:inputField value="{!equipment.Serial_Number__c}"/>              
             </apex:column>
             <apex:column headerValue="CAID #">
                 <apex:inputField value="{!equipment.CAID__c}"/>
             </apex:column>
             <apex:column headerValue="SmartCard #">
                 <apex:inputText value="{!equipment.SmartCard__c}"/>
            </apex:column>    
        </apex:pageblocktable> 
      </center>              
      </apex:pageBlock>
         <apex:commandButton action="{!quicksave}" id="update" value="Save" />
         <br/>
         <br/>
    </apex:form>   
</apex:page>